Skip to main content
PATCH
Change an appointment

Authorizations

Authorization
string
header
required

An API key from Settings, API keys. It starts with rc_live_.

Path Parameters

id
string
required
appointmentId
string
required

Body

application/json
at_time
string | null

HH:MM.

Pattern: ^([01][0-9]|2[0-3]):[0-5][0-9]$
notes
string | null
Maximum string length: 1000
service_ids
string[]
Maximum array length: 20
status
enum<string>
Available options:
booked,
checked_in,
no_show,
cancelled

Response

The appointment.

appointment
object